<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('question_levels', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(\App\Models\Level::class)->constrained('levels')->cascadeOnDelete();
            $table->foreignIdFor(\App\Models\Quiz::class)->constrained('quizzes')->cascadeOnDelete();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('question_levels');
    }
};
